%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	A Gnome filemanager similar to the Norton Commander(TM)
Name:		gnome-commander
Version:	1.2.8.15
Release:	%mkrel 10
URL:		http://www.freesoftware.fsf.org/gcmd/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-commander-1.2.8.5-fix-str-fmt.patch
Patch1:		gnome-commander-1.2.8.15-poppler020.patch
Patch2:		gnome-commander-1.2.8.15-gcc47.patch
Patch3:		gnome-commander-1.2.8.15-staticlib.patch
Patch4:		gnome-commander-1.2.8.15-automake-1.13.patch
License:	GPLv2+
Group:		File tools
BuildRequires:	pkgconfig(exiv2) >= 0.14
BuildRequires:	pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gnome-vfs-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.8.0
BuildRequires:	pkgconfig(libgnome-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libgnomeui-2.0) >= 2.4.0
BuildRequires:	pkgconfig(libgsf-1) >= 1.12.0
BuildRequires:	pkgconfig(poppler) >= 0.6
BuildRequires:	pkgconfig(taglib) >= 1.4
BuildRequires:	python-devel
BuildRequires:	libchm-devel
BuildRequires:	intltool gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	gnome-common

%description
Gnome Commander is a filemanager that just like the classical Norton
commander (TM) lets you do everything with the keyboard. It can
perform all standard file operations and some extra features like ftp
support.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

# we don't want these
find %{buildroot} -name '*.la' | xargs rm

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --add-category="FileTools" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc README TODO ChangeLog
%{_bindir}/%{name}
%{_bindir}/gcmd-block
%{_libdir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.8.15-10.mga3
+ Revision: 352063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 fwang <fwang> 1.2.8.15-9.mga3
+ Revision: 336474
- fix build with automake 1.13
- rebuild for new poppler

* Mon Nov 12 2012 fwang <fwang> 1.2.8.15-8.mga3
+ Revision: 317122
- rebuild for new poppler

* Wed Oct 10 2012 tv <tv> 1.2.8.15-7.mga3
+ Revision: 304200
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 1.2.8.15-6.mga3
+ Revision: 292151
- rebuild for new poppler

* Sat Sep 01 2012 fwang <fwang> 1.2.8.15-5.mga3
+ Revision: 286956
- do not add libadd to static libs
- build libgcmd as static lib

* Thu Aug 30 2012 fwang <fwang> 1.2.8.15-4.mga3
+ Revision: 285813
- add fedora patch to build with gcc 4.7
- rebuild for new poppler

* Mon Jun 18 2012 fwang <fwang> 1.2.8.15-3.mga3
+ Revision: 261638
- rebuild for new exiv

* Wed Jun 13 2012 fwang <fwang> 1.2.8.15-2.mga3
+ Revision: 260250
- br gettext
- regenerate configure
- add fedora patch to build with latest poppler
- rebuild for new poppler

* Wed Dec 07 2011 fwang <fwang> 1.2.8.15-1.mga2
+ Revision: 178084
- new version 1.2.8.15

* Fri Oct 28 2011 fwang <fwang> 1.2.8.14-3.mga2
+ Revision: 158961
- rebuild for new poppler

* Sun Oct 09 2011 fwang <fwang> 1.2.8.14-2.mga2
+ Revision: 153419
- rebuild for new exiv2

* Wed Oct 05 2011 wally <wally> 1.2.8.14-1.mga2
+ Revision: 152012
- new version 1.2.8.14

* Tue Sep 27 2011 ovitters <ovitters> 1.2.8.13-4.mga2
+ Revision: 149375
- rebuild for new poppler

* Tue Sep 27 2011 fwang <fwang> 1.2.8.13-3.mga2
+ Revision: 149368
- rebuild for new poppler

* Wed Sep 21 2011 fwang <fwang> 1.2.8.13-2.mga2
+ Revision: 146438
- drop .la files
- new version 1.2.8.13

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Sat Jul 02 2011 wally <wally> 1.2.8.12-1.mga2
+ Revision: 117515
- new version 1.2.8.12
- disable static build
- fix desktop-file-validate warnings
- clean .spec a bit

* Thu Apr 14 2011 ennael <ennael> 1.2.8.10-2.mga1
+ Revision: 85263
- clean spec file
- imported package gnome-commander

